## gtk-theme-switch 1.0-2

=== Makefile ===
GCC = cc
PREFIX=/usr/local
CFLAGS = -O2 -Wall $(shell gtk-config --cflags)
LIBS = $(shell gtk-config --libs)
VERSION = 1.0
all: switch

switch: switch.c switch.h
	${GCC} -o switch switch.c ${CFLAGS} ${LIBS}

clean:
	-rm -f switch *~
	
install: all
	strip switch
	mkdir -p ${PREFIX}/bin
	mkdir -p ${PREFIX}/man
	install -c switch ${PREFIX}/bin
	install -c switch.1 ${PREFIX}/man

dist: clean
	rm -rf /tmp/gtk-theme-switch-$(VERSION)
	cp -r . /tmp/gtk-theme-switch-$(VERSION)
	tar czf ../gtk-theme-switch-$(VERSION).tar.gz -C /tmp/ gtk-theme-switch-$(VERSION)
	rm -rf /tmp/gtk-theme-switch-$(VERSION)

=== debian/changelog ===
gtk-theme-switch (1.0-2) unstable; urgency=low
  * Only install manpage once

 -- Aaron Lehmann <aaronl@vitelus.com>  Mon, 6 Nov 2000 08:28:53 -0700

gtk-theme-switch (1.0-1) unstable; urgency=medium
  * Major new upstream release

 -- Aaron Lehmann <aaronl@vitelus.com>  Tue, 24 Oct 2000 19:03:36 -0700

gtk-theme-switch (0.4-4) unstable; urgency=low
  * Use debhelper
  * Depend on Gtk::Perl (libgtk-perl)

 -- Aaron Lehmann <aaronl@vitelus.com>  Fri, 22 Sep 2000 16:29:36 -0700

gtk-theme-switch (0.4-3) unstable; urgency=low
  * make it actually work

 -- Aaron Lehmann <aaronl@vitelus.com>  Mon, 18 Sep 2000 18:45:03 -0700

gtk-theme-switch (0.4-2) unstable; urgency=low
  * Make undocumented man pages work
  * Depend on perl
  * Fix first line of README

 -- Aaron Lehmann <aaronl@vitelus.com>  Mon, 18 Sep 2000 17:28:58 -0700

gtk-theme-switch (0.4-1) unstable; urgency=low

  * Initial release.

 -- Aaron Lehmann <aaronl@vitelus.com>  Mon, 18 Sep 2000 16:53:50 -0700

Local variables:
mode: debian-changelog
End:

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper. 
# GNU copyright 1997 by Joey Hess.
#
# This version is for a hypothetical package that builds an
# architecture-dependant package, as well as an architecture-independent
# package.

# Uncomment this to turn on verbose mode. 
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	

	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	-$(MAKE) clean

	dh_clean

install: DH_OPTIONS=
install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	#mkdir -p debian/tmp/usr

	$(MAKE) install PREFIX=debian/tmp/usr

	# we don't want the installed man page around; dh_installmanpages will take
	# care of that
	rm -rf debian/tmp/usr/man/
	#rm -rf debian/tmp/usr/share/man
	#mkdir -p debian/tmp/usr/share/man/man1
	#mv debian/tmp/usr/man/* debian/tmp/usr/share/man/man1/

	dh_movefiles

# Build architecture-dependent files here.
# Pass -a to all debhelper commands in this target to reduce clutter.
binary-arch: DH_OPTIONS=-a
binary-arch: build install
	# Need this version of debhelper for DH_OPTIONS to work.
	dh_testversion 1.1.17
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installmenu
	dh_installchangelogs
	dh_strip
	dh_link
	dh_installmanpages
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-arch
.PHONY: build clean binary-arch binary install

## gtk-theme-switch 2.0.1

=== debian/changelog ===
gtk-theme-switch (2.0.1) unstable; urgency=low

  * New upstream (me) release. Becomes Debian native.
  * These patches are new, but were merged into the new native source:
    - 05_use_2.0_in_mine.dpatch: use file name '.gtkrc-2.0.mine' when writing
      canned .gtkrc-2.0 for personal changes to avoid conflict with
      .gtkrc.mine.
    - 06_check_gtkrc_NULL.dpatch: check to see whether gtkrc is NULL, or else
      feof() and fclose() will choke on it. Thanks Zack Cerza.
  * Quote stuff in debian/menu.

 -- Joshua Kwan <joshk@triplehelix.org>  Wed, 16 Jun 2004 00:31:55 -0700

gtk-theme-switch (2.0.0rc2+1.0.1-4) unstable; urgency=medium

  * 03_path_search.dpatch: don't use if (access(bleh)) to see if an error
    was returned, use if (access(bleh) == -1), to avoid false positives.
    Also fix a memory leak with g_strconcat for both switch and switch2.
  * Bump to Standards-Version 3.6.1.0.
  * Menu title is really useless, make it a bit nicer.
  * Fix copyright file to include a Copyright <years> <authors> and the GPL
    short blurb instead of just 'GPLv2', per Peter Palfrader's recommendation.

 -- Joshua Kwan <joshk@triplehelix.org>  Sun, 14 Dec 2003 19:44:48 -0800

gtk-theme-switch (2.0.0rc2+1.0.1-3) unstable; urgency=medium

  * Recommend gtk-engines-pixmap - required for many themes downloaded
    outside of Debian. (Closes: #204964)
  * Add a README.Debian.
  * Change the switch2 symlink to gtk-theme-switch2, since most people
    will want to see both in the autocompletion of 'gtk-theme-switch.'
    Complain if this is undesirable.
  * Add a blank binary-indep target to conform with policy.
  * Replace manpage with a nicer and more descriptive one which includes
    a description of switch2, made by myself.
  * Update to Standards-Version 3.6.0 - no changes needed.
  * Tweak the description a little bit.

 -- Joshua Kwan <joshk@triplehelix.org>  Sun, 17 Aug 2003 01:25:25 -0700

gtk-theme-switch (2.0.0rc2+1.0.1-2) unstable; urgency=low

  * switch2 work:
    + fix the mkdir issue (see #84916, switch had the same issue)
    + as with patch for #164059, don't show theme dirs that do not have
    gtk-2.0/gtkrc. (Closes: #198915)
  * Use -g when compiling, strip stuff off later.

 -- Joshua Kwan <joshk@triplehelix.org>  Thu, 26 Jun 2003 20:19:53 -0700

gtk-theme-switch (2.0.0rc2+1.0.1-1) unstable; urgency=medium

  * New maintainer (with previous maintainer's consent)
  * New upstream version 1.0.1 (GTK+ 1.x version):
  	+ Fix for the 100% CPU usage bug when previewing themes
  	  (Closes: #168445)
  * We now build the GTK+ 2.0 binary as well. Available from the same upstream
    location. (Closes: #185519)
  * Removed dumb debian/CVS directory
  * Fixed the source to take umask into account when creating ~/.themes
    (Closes: #84916)
  * Applied patch from ilmari@ping.uio.no to fix displaying of directories
  within /usr/share/themes that did not have gtk/gtkrc (thus not valid
  themes. Closes: #164059)
  * Revise debian/:
  	+ Use debian/compat instead of DH_COMPAT
  	+ Remove old DH_OPTIONS stuff in rules, useless configure{-stamp}
  	targets, and boilerplate comments.
  	+ Symlink /usr/bin/switch to /usr/bin/gtk-theme-switch for consistency.
  	(Closes: #84912)
  	+ Use dh_installman instead of dh_installmanpages
  	+ Remove useless calls to other dh_* programs.
  	+ Remove dependency on tar, which is a required package anyway.
  	+ Install upstream readme, changelog and todo files

 -- Joshua Kwan <joshk@triplehelix.org>  Thu,  5 Jun 2003 16:27:37 -0700

gtk-theme-switch (1.0-3) unstable; urgency=low
  * Rebuild to eliminate xlib6g dependency

 -- Aaron Lehmann <aaronl@vitelus.com>  Wed, 04 Dec 2002 16:23:15 -0800

=== debian/control ===
Source: gtk-theme-switch
Section: x11
Priority: optional
Maintainer: Joshua Kwan <joshk@triplehelix.org>
Standards-Version: 3.6.1.0
Build-Depends: libgtk2.0-dev, libgtk1.2-dev, debhelper (>= 4)

Package: gtk-theme-switch
Architecture: any
Depends: ${shlibs:Depends}
Recommends: gtk-engines-pixmap
Description: GTK+ theme switching utility
 Utilities to easily switch GTK+ themes that can be run from the console, and
 has an optional GUI dock and theme preview. It can install themes downloaded
 from gtk.themes.org as well straight from the tarball.
 .
 The package contains two binaries, switch and switch2, which respectively are
 for previewing/installing GTK+ 1.x themes and GTK+ 2.x themes.

## gtk-theme-switch 2.0.3

=== debian/changelog ===
gtk-theme-switch (2.0.3) unstable; urgency=low

  * Fixed bug #278179. 

 -- Pedro Villavicencio Garrido <pvillavi@gnome.cl>  Mon, 25 Oct 2004 15:56:29 -0300

gtk-theme-switch (2.0.2) unstable; urgency=low

  * New Maintainer with previous Maintainer consent's.
  * gtk-theme-switch2 overwritte ~/.gtkrc-2.0, so we made a backup
  of this file before overwritte them. (Closes : #271450)

 -- Pedro Villavicencio Garrido <pvillavi@gnome.cl>  Tue, 14 Sep 2004 11:16:43 -0400

## gtk-theme-switch 2.0.4

=== Makefile ===
--- 
+++ 
@@ -1,15 +1,26 @@
-GCC = cc
+GCC = gcc
 PREFIX=/usr/local
-CFLAGS = -O2 -Wall $(shell gtk-config --cflags)
-LIBS = $(shell gtk-config --libs)
-VERSION = 1.0
-all: switch
+CFLAGS = -g -O2 -Wall
+CFLAGS_GTK1 = $(shell gtk-config --cflags)
+CFLAGS_GTK2 = $(shell pkg-config gtk+-2.0 --cflags)
+
+LIBS_GTK1 = $(shell gtk-config --libs)
+LIBS_GTK2 = $(shell pkg-config gtk+-2.0 --libs)
+
+VERSION = 1.0.1
+
+all: switch switch2
 
 switch: switch.c switch.h
-	${GCC} -o switch switch.c ${CFLAGS} ${LIBS}
+	${GCC} -o switch switch.c ${CFLAGS} ${CFLAGS_GTK1} ${LIBS_GTK1}
+
+switch2: switch2.c switch.h
+	${GCC} -DSWITCH_GTK2 -o switch2 switch2.c ${CFLAGS} ${CFLAGS_GTK2} ${LIBS_GTK2}
+
+# XXX we won't use these in Debian, don't bother
 
 clean:
-	-rm -f switch *~
+	-rm -f switch switch2 *~
 	
 install: all
 	strip switch

=== debian/changelog ===
gtk-theme-switch (2.0.4) unstable; urgency=low

   * switch.c (get_dirs): the gtk-2.0/gtkrc dir is used for gtk-2.0
     themes, we should use gtk/gtkrc for gtk themes. 
     thanks to Tobias Jordan <knilch@hawo.stw.uni-erlangen.de> 
     for the patch. (Closes: #255722, #306245). 

 -- Pedro Villavicencio Garrido <pvillavi@gnome.cl>  Sat, 30 Apr 2005 20:26:10 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: gtk-theme-switch
 Section: x11
 Priority: optional
-Maintainer: Joshua Kwan <joshk@triplehelix.org>
+Maintainer: Pedro Villavicencio Garrido <pvillavi@gnome.cl>
 Standards-Version: 3.6.1.0
 Build-Depends: libgtk2.0-dev, libgtk1.2-dev, debhelper (>= 4)

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for gtk-theme-switch

# make my life easier
BDIR = debian/gtk-theme-switch

export CFLAGS = -Wall -g $(OPTIMIZE)

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	OPTIMIZE = -O0
else
	OPTIMIZE = -O2
endif

build: build-stamp
build-stamp:
	dh_testdir
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp switch switch2
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs usr/bin
	install -m 755 switch $(BDIR)/usr/bin
	install -m 755 switch2 $(BDIR)/usr/bin

binary-indep:
# Nothing to be done.

binary-arch: build install
	dh_testdir
	dh_testroot
	
	dh_installmenu
	dh_installdocs todo readme
	dh_installchangelogs ChangeLog

# our man page is far superior
	dh_installman debian/switch.1 
	dh_compress
	
	dh_link
	dh_strip
	dh_fixperms
	
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-arch
.PHONY: build clean binary-arch binary install binary-indep

## gtk-theme-switch 2.0.4build1

=== debian/changelog ===
gtk-theme-switch (2.0.4build1) hardy; urgency=low

  * Rebuild for libglib1.2 -> libglib1.2ldbl transition.

 -- Luke Yelavich <themuso@ubuntu.com>  Wed, 05 Dec 2007 11:10:00 +1100

## gtk-theme-switch 2.0.5

=== Makefile ===
--- 
+++ 
@@ -1,18 +1,13 @@
 GCC = gcc
 PREFIX=/usr/local
 CFLAGS = -g -O2 -Wall
-CFLAGS_GTK1 = $(shell gtk-config --cflags)
 CFLAGS_GTK2 = $(shell pkg-config gtk+-2.0 --cflags)
 
-LIBS_GTK1 = $(shell gtk-config --libs)
 LIBS_GTK2 = $(shell pkg-config gtk+-2.0 --libs)
 
 VERSION = 1.0.1
 
-all: switch switch2
-
-switch: switch.c switch.h
-	${GCC} -o switch switch.c ${CFLAGS} ${CFLAGS_GTK1} ${LIBS_GTK1}
+all: switch2
 
 switch2: switch2.c switch.h
 	${GCC} -DSWITCH_GTK2 -o switch2 switch2.c ${CFLAGS} ${CFLAGS_GTK2} ${LIBS_GTK2}
@@ -23,7 +18,6 @@
 	-rm -f switch switch2 *~
 	
 install: all
-	strip switch
 	mkdir -p ${PREFIX}/bin
 	mkdir -p ${PREFIX}/man
 	install -c switch ${PREFIX}/bin

=== debian/changelog ===
gtk-theme-switch (2.0.5) unstable; urgency=low

  * QA upload.
    + Set maintainer to Debian QA Group <packages@qa.debian.org>.
  * Build gtk2 binary only. (Closes: #462906, #462904, #291008).
    + Rename debian/switch.1 to switch2.1 to match binary.
  * Drop recommends for gtk-engines-pixmap. (Closes: #473847).
    + Thanks to amaya for the bug report and fix.
  * Update FSF address in copyright.
  * Bump debhelper build-dep and compat to 5.
  * Bump Standards Version to 3.7.3.
    + Menu policy transition.

 -- Barry deFreese <bddebian@comcast.net>  Tue, 15 Apr 2008 23:28:49 -0400

=== debian/control ===
Source: gtk-theme-switch
Section: x11
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 5.0.0), libgtk2.0-dev
Standards-Version: 3.7.3

Package: gtk-theme-switch
Architecture: any
Depends: ${shlibs:Depends}
Description: GTK+ theme switching utility
 Utilities to easily switch GTK+ themes that can be run from the console, and
 has an optional GUI dock and theme preview. It can install themes downloaded
 from gtk.themes.org as well straight from the tarball.

=== debian/rules ===
--- 
+++ 
@@ -29,7 +29,6 @@
 	dh_testroot
 	dh_clean -k
 	dh_installdirs usr/bin
-	install -m 755 switch $(BDIR)/usr/bin
 	install -m 755 switch2 $(BDIR)/usr/bin
 
 binary-indep:
@@ -44,7 +43,7 @@
 	dh_installchangelogs ChangeLog
 
 # our man page is far superior
-	dh_installman debian/switch.1 
+	dh_installman debian/switch2.1
 	dh_compress
 	
 	dh_link

## gtk-theme-switch 2.1.0

=== Makefile ===
#========================================================================
#Gtk Theme Switch, a fast and small Gtk theme switching utility that has a 
#GUI and console interface.
#
#Copyright (C) 2009  Maher Awamy <muhri@muhri.net>
#                    Aaron Lehmann <aaronl@vitelus.com>
#                    Joshua Kwan <joshk@triplehelix.org> 
#                    Pedro Villavicencio Garrido <pvillavi@gnome.cl>
#                    Denis Briand <denis@narcan.fr>
#
#This program is free software; you can redistribute it and/or modify
#it under the terms of the GNU General Public License as published by
#the Free Software Foundation; either version 2 of the License, or
#(at your option) any later version.
#
#This program is distributed in the hope that it will be useful,
#but WITHOUT ANY WARRANTY; without even the implied warranty of
#MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#GNU General Public License for more details.
#
#You should have received a copy of the GNU General Public License along
#with this program; if not, write to the Free Software Foundation, Inc.,
#51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
#=========================================================================

GCC = gcc
PREFIX=/usr/local
CFLAGS = -g -O2 -Wall
CFLAGS_GTK2 = $(shell pkg-config gtk+-2.0 --cflags)

LIBS_GTK2 = $(shell pkg-config gtk+-2.0 --libs)

VERSION = 2.1.0

all: gtk-theme-switch2

gtk-theme-switch2: main.c
	${GCC} -DSWITCH_GTK2 -o gtk-theme-switch2 main.c ${CFLAGS} ${CFLAGS_GTK2} ${LIBS_GTK2}

clean:
	-rm -f gtk-theme-switch2 *~
	
install: all
	mkdir -p ${PREFIX}/bin
	mkdir -p ${PREFIX}/man
	install -c gtk-theme-switch2 ${PREFIX}/bin
	install -c gtk-theme-switch2.1 ${PREFIX}/man

dist: clean
	rm -rf /tmp/gtk-theme-switch-$(VERSION)
	cp -r . /tmp/gtk-theme-switch-$(VERSION)
	tar czf ../gtk-theme-switch-$(VERSION).tar.gz -C /tmp/ gtk-theme-switch-$(VERSION)
	rm -rf /tmp/gtk-theme-switch-$(VERSION)

=== debian/changelog ===
gtk-theme-switch (2.1.0-5) unstable; urgency=medium

  * Fix d/copyright (Closes: #766869)
  * Fix manpage title and remove end-of-line whitespace

 -- Marius Gavrilescu <marius@ieval.ro>  Sun, 26 Oct 2014 18:35:53 +0200

gtk-theme-switch (2.1.0-4) unstable; urgency=medium

  * Escape theme name to prevent code execution (Closes: #739709)
  * Bump Standards-Version to 3.9.6

 -- Marius Gavrilescu <marius@ieval.ro>  Sun, 26 Oct 2014 11:41:57 +0200

gtk-theme-switch (2.1.0-3) unstable; urgency=low

  * New maintainer (Closes: #588836)
  * Bump debhelper compat to 9
  * Bump Standards-Version to 3.9.4
  * Fix spelling error in help
  * Use dh-style debian/rules
  * Add hardening
  * Exit cleanly if there is no HOME environment variable (Closes: #716007)
  * Remove some useless dependencies
  * Update copyright to DEP5 format

 -- Marius Gavrilescu <marius@ieval.ro>  Sat, 13 Jul 2013 16:31:46 +0300

gtk-theme-switch (2.1.0-2) unstable; urgency=low

  * Switch to dpkg-source 3.0 (quilt) format.
  * Bump standards version to 3.8.4.
  * Allow Debian Maintainers uploads.
  * Add ${misc:Depends} to the binary dependencies.

 -- Denis Briand <denis@narcan.fr>  Sun, 14 Mar 2010 19:20:29 +0100

gtk-theme-switch (2.1.0-1) unstable; urgency=low

  * New upstream release.
  * Become non native Debian package.
  * Add debian/watch file.
  * Add Homepage in debian/control.
  * Add all authors in debian/copyright.
  * Bump copyright year.

 -- Denis Briand <denis@narcan.fr>  Wed, 06 May 2009 14:34:25 +0200

gtk-theme-switch (2.0.6) unstable; urgency=low

  * New Maintainer (Closes: #462908)
  * solve an unchecked fopen() (Closes: #498447)
    + Thanks to François Wendling for his audit
    + and for his patch.
  * fix hash table pointer issue (Closes: #229384)
    + Thanks to Ron Murray for his work and for his patch.
  * rename switch2.* by gtk-theme-switch2.*
    + and add gtk-theme-switch2 name in gtkrc-2.0 conf file (Closes: #319286).
  * Bump compat to 7.
  * Bump standards version to 3.8.1.
  * Remove unused switch.c and switch.1 files.
  * Fit Makefile and debian/rules to the renamed files.
  * Remove obsolete debian/README.debian file.
  * Remove obsolete debian/links file.
  * Fit debian/menu to the renamed bin file.
  * Fix versionless symlink license in debian/copyright.
  * Fit man file to the renamed bin file.
  * Rename unused ChangeLog to ChangeLog.old
  * Change deprecated "dh_clean -k" in "dh_prep" in debian/rules.

 -- Denis Briand <denis@narcan.fr>  Sat, 11 Apr 2009 18:36:20 +0200

=== debian/control ===
Source: gtk-theme-switch
Section: x11
Priority: optional
Maintainer: Marius Gavrilescu <marius@ieval.ro>
Build-Depends: debhelper (>= 9), libgtk2.0-dev
Standards-Version: 3.9.6
Vcs-Browser: http://git.ieval.ro/?p=gtk-theme-switch.git;a=summary
Vcs-Git: http://git.ieval.ro/git/gtk-theme-switch.git
Homepage: http://gna.org/projects/gtk-theme-switch/

Package: gtk-theme-switch
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: GTK+ theme switching utility
 Utilities to easily switch GTK+ themes that can be run from the console, and
 has an optional GUI dock and theme preview. It can install themes downloaded
 from gtk.themes.org as well straight from the tarball.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@
override_dh_auto_build:
	make CFLAGS="$(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get LDFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)" LIBS_GTK2="-lgtk-x11-2.0 -lgdk-x11-2.0 -lgobject-2.0 -lglib-2.0"
override_dh_auto_install:

=== debian/watch ===
#watch control file for uscan
version=3
http://download.gna.org/gtk-theme-switch/gtk-theme-switch-(.*)\.tar\.gz debian	uupdate
